# Import sympy
from sympy import *

# Define independent (x) and dependent (v) variables
x = symbols('x')
v = symbols('v', cls=Function)

# Define differential equation v' = 1 + v(x)**2
# Source: Edwards, C. Henry; Penney, David E.; Calvis, David. Differential
# Equations and Boundary Value Problems: Computing and Modeling (p. 58). Pearson
# Education. Edição do Kindle.
diffeq = Eq(v(x).diff(x), 1 + v(x)**2 )

# To solve the ODE, pass it and the function to solve for to dsolve()
gsol = dsolve(diffeq, v(x))

# Show the general solution of the ODE
print(gsol)