# Import sympy
from sympy import *

# Define independent (x) and dependent (v) variables
x = symbols('x')
v = symbols('v', cls=Function)

# Define differential equation v' = 2/x*v + v/(2x)
# Source: Edwards, C. Henry; Penney, David E.; Calvis, David. Differential
# Equations and Boundary Value Problems: Computing and Modeling (p. 60). Pearson
# Education. Edição do Kindle.
diffeq = Eq(v(x).diff(x), 2/(x*v(x)) + v(x)/(2*x))

# To solve the ODE, pass it and the function to solve for to dsolve()
gsol = dsolve(diffeq, v(x))

# Show the general solution of the ODE
print(gsol)