# Import sympy
from sympy import *

# Define independent (x) and dependent (v) variables
x = symbols('x')
y = symbols('y', cls=Function)

# Define differential equation y' = -y/(3x)
# Source: Edwards, C. Henry; Penney, David E.; Calvis, David. Differential
# Equations and Boundary Value Problems: Computing and Modeling (p. 65). Pearson
# Education. Edição do Kindle.
diffeq = Eq(y(x).diff(x), -y(x)/(3*x) )

# To solve the ODE, pass it and the function to solve for to dsolve()
gsol = dsolve(diffeq, y(x))

# Show the general solution of the ODE
print(gsol)