# Import sympy
from sympy import *

# Define independent (x) and dependent (v) variables
x = symbols('x')
y = symbols('y', cls=Function)

# Define differential equation y' = (-3xy - y**2)/(x**2 + xy)
# Source: Boyce, William E.; Diprima, Richard C.; Meade, Douglas B. Equações
# Diferenciais Elementares e Problemas de Valores de Contorno
# (Portuguese Edition) (p. 52). LTC. Edição do Kindle.
diffeq = Eq(y(x).diff(x),  (-3*x*y(x) - y(x)**2)/(x**2 + x*y(x) ) )

# To solve the ODE, pass it and the function to solve for to dsolve()
gsol = dsolve(diffeq, y(x))

# Show the general solution of the ODE
print(gsol)